Name:		votca-tools
Version:	1.2.3
Release:	6%{?dist}
Summary:	VOTCA tools library
Group:		Applications/Engineering
License:	ASL 2.0
URL:		http://www.votca.org
Source0:	http://votca.googlecode.com/files/%{name}-%{version}_pristine.tar.gz
# Fix build against newer boost, already fixed upstream
Patch0:	    	votca-tools-1.2.3-boost-1.53.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	cmake
BuildRequires:	expat-devel
BuildRequires:	fftw-devel
BuildRequires:	gsl-devel
BuildRequires:	boost-devel
BuildRequires:	txt2tags
BuildRequires:	sqlite-devel

%description
Versatile Object-oriented Toolkit for Coarse-graining Applications (VOTCA) is
a package intended to reduce the amount of routine work when doing systematic
coarse-graining of various systems. The core is written in C++. 

This package contains the basic tools library of VOTCA.


%package devel
Summary:	Development headers and libraries for votca-tools
Group:		Development/Libraries
Requires:	pkgconfig
Requires:	%{name} = %{version}-%{release}
# Programs that build against votca need also these
Requires:	boost-devel
Requires:	expat-devel

%description devel
Versatile Object-oriented Toolkit for Coarse-graining Applications (VOTCA) is
a package intended to reduce the amount of routine work when doing systematic
coarse-graining of various systems. The core is written in C++. 

This package contains development headers and libraries for votca-tools.


%prep
%setup -q
%patch0 -p1 -b .boost153

%build
mkdir %{_target_platform}
cd %{_target_platform}
%{cmake} .. -DLIB=%{_lib} -DCMAKE_CXX_FLAGS_RELEASE="-DNDEBUG"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make -C %{_target_platform} install DESTDIR=%{buildroot} INSTALL="install -p"

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc LICENSE NOTICE
%{_bindir}/VOTCARC.*
%{_libdir}/libvotca_tools.so.*
%{_mandir}/man7/votca-tools.7*

%files devel
%defattr(-,root,root,-)
%{_includedir}/votca/
%{_libdir}/libvotca_tools.so
%{_libdir}/pkgconfig/libvotca_tools.pc

%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Petr Machata <pmachata@redhat.com> - 1.2.3-4
- Rebuild for boost 1.55.0

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 pmachata@redhat.com - 1.2.3-2
- Rebuild for boost 1.54.0

* Sun Feb 10 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 1.2.3-1
- Update to 1.2.3, fix build in rawhide.

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.2.1-6.1
- Rebuild for Boost-1.53.0

* Tue Aug 14 2012 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.2.1-5.1
- Bump due to boost update.

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-4.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-3.1
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Nov 20 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.2.1-1.1
- Bump due to boost update.

* Thu Aug 25 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.2.1-1
- Update to 1.2.1.

* Fri Jul 22 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.1-3
- Bump spec due to new boost.

* Wed Apr 06 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.1-2
- Bump spec due to Boost upgrade.

* Sun Feb 20 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.1-1
- Update to 1.1.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Feb 06 2011 Thomas Spura <tomspur@fedoraproject.org> - 1.0.1-4
- rebuild for new boost

* Sun Dec 26 2010 Dan Horák <dan[at]danny.cz> - 1.0.1-3
- fix build on non-x86 64-bit architectures (ax_boost_base.m4 is wrong)

* Tue Dec 14 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.0.1-2
- Preserve timestamps on install.
- Added Requires: pkgconfig in -devel for EPEL support.

* Tue Dec 07 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1.
- Drop bash completion (moved to votca-csg).
- Disable rc files.
- Added expat-devel and boost-devel as Requires in -devel.

* Thu Nov 25 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.0-1
- First release.
